import Card from '@/components/Card';
import { useIncidentStore } from '@/store';
import { defineComponent, ref } from 'vue-demi';

const lists = [
  '生成处置方法',
  '组织应急队伍',
  '现场救援',
  '这里处置方案文字这里处置方案文字',
  '这里处置方案文字这里处置方案文字',
  '这里处置方案文字这里处置方案文字',
  '这里处置方案文字这里处置方案文字',
];

export default defineComponent({
  name: 'IncidentPlanCard',
  setup(props) {
    const store = useIncidentStore();

    const types = ref([]);

    return () => (
      <Card cardType="incident-plan">
        <div class="plan-container">
          <el-checkbox-group v-model={types.value}>
            {store?.incidentDetail?.task?.map((t) => (
              <el-checkbox disabled class="plan-item" label={t.taskName} />
            ))}
          </el-checkbox-group>
        </div>
      </Card>
    );
  },
});
